@echo off
title Installation von AnyDesk und Deaktivierung des Microsoft Store
echo Administratorrechte werden angefordert...
NET FILE 1>NUL 2>NUL
if '%errorlevel%' == '0' ( goto :gotAdmin )
echo Dieses Skript muss als Administrator ausgeführt werden.
echo Bitte klicken Sie mit der rechten Maustaste auf die Datei und wählen Sie "Als Administrator ausführen".
pause
exit

:gotAdmin
echo Ausführung mit Administratorrechten bestätigt.

:: Temporäres Verzeichnis für den Download festlegen
set "tempDir=%TEMP%\AnyDeskSetup"
mkdir "%tempDir%" 2>nul
cd /d "%tempDir%"

echo.
echo Schritt 1: Microsoft Store wird deaktiviert...
echo.
:: Microsoft Store über die Registry deaktivieren
reg add "HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\WindowsStore" /v "RemoveWindowsStore" /t REG_DWORD /d 1 /f
if %errorlevel% equ 0 (
    echo Microsoft Store erfolgreich deaktiviert.
) else (
    echo Fehler beim Deaktivieren des Microsoft Store.
)

echo.
echo Schritt 2: AnyDesk wird heruntergeladen...
echo.
:: AnyDesk mit bitsadmin von der offiziellen Quelle herunterladen
bitsadmin /transfer "DownloadAnyDesk" /priority FOREGROUND "https://download.anydesk.com/AnyDesk.exe" "%tempDir%\AnyDesk.exe"
if exist "AnyDesk.exe" (
    echo Download erfolgreich abgeschlossen.
) else (
    echo Fehler: Download von AnyDesk fehlgeschlagen. Überprüfen Sie die Internetverbindung.
    pause
    goto :cleanup
)

echo.
echo Schritt 3: AnyDesk wird installiert...
echo.
:: AnyDesk-Installation im stillen Modus starten
"AnyDesk.exe" --install "C:\Program Files (x86)\AnyDesk" --start-with-win --silent
if %errorlevel% equ 0 (
    echo Installation von AnyDesk erfolgreich abgeschlossen.
) else (
    echo Fehler bei der Installation von AnyDesk.
)

:cleanup
echo.
echo Temporäre Dateien werden bereinigt...
cd /d "%TEMP%"
rd /s /q "%tempDir%" 2>nul
echo Bereinigung abgeschlossen.

echo.
echo Vorgang abgeschlossen. Drücken Sie eine Taste zum Beenden.
pause
exit
